## DMS Event Report indication DMS Event Report indication |

## Functions

QmiIndicationDmsEventReportOutput * | qmi_indication_dms_event_report_output_ref ()
void | qmi_indication_dms_event_report_output_unref ()
gboolean | qmi_indication_dms_event_report_output_get_prl_init_notification ()
gboolean | qmi_indication_dms_event_report_output_get_wireless_disable_state ()
gboolean | qmi_indication_dms_event_report_output_get_uim_state ()
gboolean | qmi_indication_dms_event_report_output_get_operating_mode ()
gboolean | qmi_indication_dms_event_report_output_get_activation_state ()
gboolean | qmi_indication_dms_event_report_output_get_pin2_status ()
gboolean | qmi_indication_dms_event_report_output_get_pin1_status ()
gboolean | qmi_indication_dms_event_report_output_get_power_state ()

## Types and Values

| QmiIndicationDmsEventReportOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationDmsEventReportOutput

## Description

## Functions

### qmi_indication_dms_event_report_output_ref ()

    QmiIndicationDmsEventReportOutput *
    qmi_indication_dms_event_report_output_ref
                                   (QmiIndicationDmsEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_dms_event_report_output_unref ()

    void
    qmi_indication_dms_event_report_output_unref
                                   (QmiIndicationDmsEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |

Since: 1.0

### qmi_indication_dms_event_report_output_get_prl_init_notification ()

    gboolean
    qmi_indication_dms_event_report_output_get_prl_init_notification
                                   (QmiIndicationDmsEventReportOutput *self,
                                    gboolean *value_prl_init_notification,
                                    GError **error);

Get the 'PRL Init Notification' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_prl_init_notification | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_wireless_disable_state ()

    gboolean
    qmi_indication_dms_event_report_output_get_wireless_disable_state
                                   (QmiIndicationDmsEventReportOutput *self,
                                    gboolean *value_wireless_disable_state,
                                    GError **error);

Get the 'Wireless Disable State' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_wireless_disable_state | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_uim_state ()

    gboolean
    qmi_indication_dms_event_report_output_get_uim_state
                                   (QmiIndicationDmsEventReportOutput *self,
                                    QmiDmsUimState *value_uim_state,
                                    GError **error);

Get the 'UIM State' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_uim_state | a placeholder for the output QmiDmsUimState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_operating_mode ()

    gboolean
    qmi_indication_dms_event_report_output_get_operating_mode
                                   (QmiIndicationDmsEventReportOutput *self,
                                    QmiDmsOperatingMode *value_operating_mode,
                                    GError **error);

Get the 'Operating Mode' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_operating_mode | a placeholder for the output QmiDmsOperatingMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_activation_state ()

    gboolean
    qmi_indication_dms_event_report_output_get_activation_state
                                   (QmiIndicationDmsEventReportOutput *self,
                                    QmiDmsActivationState *value_activation_state,
                                    GError **error);

Get the 'Activation State' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_activation_state | a placeholder for the output QmiDmsActivationState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_pin2_status ()

    gboolean
    qmi_indication_dms_event_report_output_get_pin2_status
                                   (QmiIndicationDmsEventReportOutput *self,
                                    QmiDmsUimPinStatus *value_pin2_status_current_status,
                                    guint8 *value_pin2_status_verify_retries_left,
                                    guint8 *value_pin2_status_unblock_retries_left,
                                    GError **error);

Get the 'PIN2 Status' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_pin2_status_current_status | a placeholder for the output QmiDmsUimPinStatus, or `NULL` if not required. |
value_pin2_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
value_pin2_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_pin1_status ()

    gboolean
    qmi_indication_dms_event_report_output_get_pin1_status
                                   (QmiIndicationDmsEventReportOutput *self,
                                    QmiDmsUimPinStatus *value_pin1_status_current_status,
                                    guint8 *value_pin1_status_verify_retries_left,
                                    guint8 *value_pin1_status_unblock_retries_left,
                                    GError **error);

Get the 'PIN1 Status' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_pin1_status_current_status | a placeholder for the output QmiDmsUimPinStatus, or `NULL` if not required. |
value_pin1_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
value_pin1_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_dms_event_report_output_get_power_state ()

    gboolean
    qmi_indication_dms_event_report_output_get_power_state
                                   (QmiIndicationDmsEventReportOutput *self,
                                    guint8 *value_power_state_power_state_flags,
                                    guint8 *value_power_state_battery_level,
                                    GError **error);

Get the 'Power State' field from `self` .

#### Parameters

self | a QmiIndicationDmsEventReportOutput. |
value_power_state_power_state_flags | a placeholder for the output guint8, or `NULL` if not required. |
value_power_state_battery_level | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

## Types and Values

### QmiIndicationDmsEventReportOutput

    typedef struct _QmiIndicationDmsEventReportOutput QmiIndicationDmsEventReportOutput;

The QmiIndicationDmsEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0